Detected package downgrade: Microsoft.NETCore.Platforms from 3.0.0 to 3.0.0-preview.19073.11

Nov 26 2020 313

My project just converted from Asp.net Core version 2.2 to 3.0. I test on the local window computer it's worked fine for me. But when I deploy it to Linux I got an error Detected package downgrade: Microsoft.NETCore.Platforms from 3.0.0 to 3.0.0-preview.19073.11.

Error NU1605: Detected package downgrade: Microsoft.NETCore.Platforms from 3.0.0 to 3.0.0-preview.19073.11. 
Reference the package directly from the project to select a different version

I don't know why it throws an error. Please suggest to me if you know any solution.

Have 1 answer(s) found.
  • S

    Sandeep Kumar Nov 26 2020

    Oh, I got the same error yesterday. I resolved this issue by migrating the Asp.net core from version 3.0 to 3.1. After migrate it worked for me.

Leave An Answer
* NOTE: You need Login before leave an answer

* Type maximum 2000 characters.

* All comments have to wait approved before display.

* Please polite comment and respect questions and answers of others.

Popular Tips

X Close